| Fast DDS Version 3.3.0 Fast DDS

Loading...
Searching...
No Matches
Exception Class Referenceabstract

Exception: base class for specified DDS Exceptions. More...

`#include <Exception.hpp>`

Inheritance diagram for Exception:
[legend]

## Public Member Functions

virtual FASTDDS_EXPORTED_API | ~Exception () throw () =default
virtual FASTDDS_EXPORTED_API const char * | what () const throw () =0
| Retrieve information about the exception that was thrown.

## Protected Member Functions

| Exception ()=default

## Detailed Description

Exception: base class for specified DDS Exceptions.

## Constructor & Destructor Documentation

## ◆ Exception()

Exception | ( |  | ) |

protected default

## ◆ ~Exception()

virtual FASTDDS_EXPORTED_API ~Exception | ( |  | ) |
throw | ( | ) |  |  |

virtual default

## Member Function Documentation

## ◆ what()

virtual FASTDDS_EXPORTED_API const char * what | ( |  | ) | const
throw | ( | ) |  |  |

pure virtual

Retrieve information about the exception that was thrown.

Returns
  Exception information.

Implemented in InvalidArgumentError.

The documentation for this class was generated from the following file:

- include/fastdds/dds/xtypes/exception/Exception.hpp